<?php

namespace EventPortal\Domain\Util\Notification\Facades;

use EventPortal\Domain\Util\Notification\NotificationRegistry;
use Illuminate\Support\Facades\Facade;

/**
 * @method \EventPortal\Domain\Util\Notification\Notification make(string $key)
 * @method \EventPortal\Domain\Util\Notification\Notification subject(string|callable $subject)
 * @method \EventPortal\Domain\Util\Notification\Notification data(data $data)
 * @method \EventPortal\Domain\Util\Notification\Notification to(mixed $recipients)
 * @method \EventPortal\Domain\Util\Notification\Notification from(array $sender)
 * @method \EventPortal\Domain\Util\Notification\Notification replyTo(array $replyTo)
 * @method \EventPortal\Domain\Util\Notification\Notification send()
 * @method \EventPortal\Domain\Util\Notification\Notification toArray()
 */
class Notification extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return NotificationRegistry::class;
    }
}
