<?php

namespace EventPortal\Http\Controllers\Admin\Template;

use EventPortal\Domain\Template\Actions\CreateEventFromTemplate;
use EventPortal\Domain\Template\Models\Template;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;

class CreateEventFromTemplateController extends Controller
{
    public function __invoke(Request $request, Template $template, CreateEventFromTemplate $action): RedirectResponse
    {
        $action->execute($template);

        return redirect()->route('admin.event.create');
    }
}
